Skip to content
Registry StackDocsLatest

Entity JSON Schema

GET
/metadata/schema/{dataset_id}/{entity}/schema.json
curl --request GET \
--url https://data.example.test/metadata/schema/example/example/schema.json

Returns a URL-stable JSON Schema for one entity.

dataset_id
required
string

Dataset identifier

entity
required
string

Entity identifier

Successful response

Media typeapplication/schema+json

Published JSON Schema document.

object
key
additional properties
any
Examplegenerated
{}

Requested provenance artefact is not available.

Media typeapplication/problem+json

RFC 9457 Problem Details, returned for every non-2xx response.

object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{
"code": "auth.missing_credential",
"detail": "no credential provided in Authorization or x-api-key header",
"request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
"status": 401,
"title": "Missing credential",
"type": "https://registry-relay.dev/problems/auth/missing_credential"
}

Problem Details error response.

Media typeapplication/problem+json

RFC 9457 Problem Details, returned for every non-2xx response.

object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{
"code": "auth.missing_credential",
"detail": "no credential provided in Authorization or x-api-key header",
"request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
"status": 401,
"title": "Missing credential",
"type": "https://registry-relay.dev/problems/auth/missing_credential"
}